# Interface HelpPrinter

All Known Implementing Classes:
  `DefaultHelpPrinter`

public interface HelpPrinter
This interface is supposed to be implemented by all classes providing help printing capabilities.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCommandLine(OptionSet set, String leadingText, boolean lineBreak)`
Return a string with the command line syntax for this option set
`String`
`getHelpText(OptionSet set)`
Return the help text describing the different options and data arguments

## Method Details

### getCommandLine

String getCommandLine(OptionSet set, String leadingText, boolean lineBreak)
Return a string with the command line syntax for this option set

Parameters:
  `set` - The `OptionSet` to format the output for
  `leadingText` - The text to precede the command line
  `lineBreak` - A boolean indicating whether the command line for the option set should be printed with line breaks after each option or not

Returns:
  A string with the command line syntax for this option set

### getHelpText

String getHelpText(OptionSet set)
Return the help text describing the different options and data arguments

Parameters:
  `set` - The `OptionSet` to format the output for

Returns:
  A string with the help text for this option set